<?php $this->addCSS('templates/default/css/random.css'); ?>
<?php $this->addJS('templates/default/js/random.js'); ?>

<?php if ($item){ ?>
        
    <div class="widget_content">

        <?php $url = href_to($ctype['name'], $item['slug']) . '.html'; ?>

        <div class="rnd_item"> 
            
            <div class="loading" style="display: none"><?php echo LANG_WD_CONTENT_RANDOM_LOADING; ?></div>
            <?php if ($image_field) { ?>            
                <div class="rnd_image">                
                    <a href="<?php echo $url; ?>">
                        <?php if (!empty($item[$image_field])) echo html_image($item[$image_field], normal); ?>                                                  
                    </a>                
                </div>            
            <?php } ?>
            <div class="info">
                
                <div class="title">
                    <a href="<?php echo $url; ?>"><?php html($item['title']); ?></a>
                    <?php if ($item['is_private']) { ?>
                        <span class="is_private" title="<?php html(LANG_PRIVACY_PRIVATE); ?>"></span>
                    <?php } ?>
                </div>
                
                <?php if ($teaser_field) { ?>
                    <div class="rnd_teaser">
                        <?php if (!empty($item[$teaser_field])) { echo $item[$teaser_field]; } ?>                                                      
                    </div>
                <?php } ?>                        


                <?php if ($is_show_details) { ?>
                    <div class="details">
                        <span class="author">
                            <a href="<?php echo href_to('users', $item['user']['id']); ?>"><?php html($item['user']['nickname']); ?></a>                                
                        </span>
                        <span class="date">                             
                            <?php $date = new DateTime($item['date_pub']);                              
                                  html($date->format('d.m.Y')); ?>                             
                        </span>
                        <?php if($ctype['is_comments']){ ?>
                            <span class="comments">
                                <a href="<?php echo $url . '#comments'; ?>" title="<?php echo LANG_COMMENTS; ?>"><?php echo intval($item['comments']); ?></a>
                            </span>
                        <?php } ?>
                    </div>
                <?php } ?>                        

                <div id="rnd_data" style="display: none" 
                     data-url="<?php echo '/' . $ctype['name'] . '/item_random' ?>"
                     data-ctype-name="<?php echo $ctype['name'] ?>"
                     data-item-id="<?php echo $item['id'] ?>"
                     data-image-field="<?php echo $image_field ?>"
                     data-teaser-field="<?php echo $teaser_field ?>"
                     data-is-comments="<?php echo $ctype['is_comments'] ?>">  
                </div>

            </div>
        </div>

    </div>

<?php } ?>

