<?php

class formWidgetContentRandomOptions extends cmsForm {

    public function init() {

        return array(

            array(
                'type' => 'fieldset',
                'title' => LANG_OPTIONS,
                'childs' => array(

                    new fieldList('options:ctype_id', array(
                        'title' => LANG_CONTENT_TYPE,
                        'generator' => function($item) {

                            $model = cmsCore::getModel('content');
                            $tree = $model->getContentTypes();

                            $items = array();

                            if ($tree) {
                                foreach ($tree as $item) {
                                    $items[$item['id']] = $item['title'];
                                }
                            }

                            return $items;

                        }
                    )),

                    new fieldString('options:image_field', array(
                        'title' => LANG_WD_CONTENT_RANDOM_IMAGE
                    )),

                    new fieldString('options:teaser_field', array(
                        'title' => LANG_WD_CONTENT_RANDOM_TEASER
                    )),     

                    new fieldCheckbox('options:show_details', array(
                       'title' =>  LANG_WD_CONTENT_RANDOM_DETAILS,
                    )),

                )
            ),

        );

    }

}
